## Graphit-It

Graph your data.

### What is it ?

Graph-It is a web interface to create and maintain beautiful graphs created with GraphViz.

### Get started

#### What you need

* Graph-It webapp (build from this repo)
* A MySQL instance
* A GraphViz install

#### Configuring database

1. Create an empty schema
2. Create a file custom-database.properties in your classpath

    host=localhost  
    user=graphit  
    password=graphit  
    port=3306  
    schema=graphit  
    create.schema.on.startup=1  

#### Configuring application

1. Create a file custom-app.properties in your classpath

    graphit.path=C:/Program Files (x86)/Graphviz 2.28/bin/  #path to graphviz  
    graphit.suffix=.exe #empty if on linux or others  
    default.provider=native  
    default.engine=dot  
    admin.login  
    admin.password=password  

#### Boot the app

Tables will be automaticly created at startup. You can then disable "create.schema.on.startup".
