package fr.graphit.core.api.exception.database;

public class DatabaseException extends Exception {

	private static final long serialVersionUID = 1L;
	
	private Exception e;
	
	public DatabaseException(String message, Exception e) {
		super(message);
		this.e = e;
	}
	
	@Override
	public Throwable getCause() {
		return e.getCause();
	}

	@Override
	public String getMessage() {
		return this.getMessage() + " : " + e.getMessage();
	}
	
}