package fr.graphit.web.api.graph.provider;

import java.util.List;

import fr.graphit.core.api.model.Node;
import fr.graphit.web.exception.GraphException;


public interface GraphProvider {
	
	public byte[] png(List<Node> nodes, String engine) throws GraphException, UnsupportedOperationException;
	
	public String svg(List<Node> nodes, String urlPrefix, String engine) throws GraphException, UnsupportedOperationException;
	
}
