package fr.graphit.web.uri;

public interface URIContext {

	public static final String ROOT = "/";
	public static final String ADMIN = ROOT + "admin/";
	
	public static final String CONNECT = "/connect";
	public static final String DISCONNECT = "/disconnect";
	
	public static final String DISPLAY = ADMIN + "display" + "/:nodeId";
	public static final String EDIT = ADMIN + "edit";
	public static final String ADD = ADMIN + "add";
	public static final String SEARCH = ADMIN + "search";
	public static final String ADMIN_NODES = ADMIN + "nodes";
	public static final String ADMIN_VIEWS = ADMIN + "views";
	public static final String ADD_VIEW = ADMIN + "addView";
	public static final String EDIT_VIEW = ADMIN + "editView";
	
	public static final String VIEW = ROOT + "view" + "/:viewId";
	public static final String VIEWS = ROOT + "views";
	
	public static final String BAD_BROWSER = ROOT + "badbrowser";
	
	public static final String API = ROOT + "api/";
	public static final String API_ADMIN = ADMIN + "api/";
	
	public static final String API_DELETE_LINK = API_ADMIN + "deleteLink";
	public static final String API_ADD_LINK = API_ADMIN + "addLink";
	public static final String API_GET_LINKS = API_ADMIN + "getLinks";
	public static final String API_SEARCH = API_ADMIN + "search";
	public static final String API_NODE = API_ADMIN + "node";
	public static final String API_DELETE = API_ADMIN + "delete";
	public static final String API_DELETE_VIEW = API_ADMIN + "deleteView";
	public static final String API_ADD_NODE_VIEW = API_ADMIN + "addNodeView";
	public static final String API_DELETE_NODE_VIEW = API_ADMIN + "deleteNodeView";
	
	public static final String API_GRAPH = API + "graph";
	
	public static final String CONF = ADMIN + "conf";
	
}